## request-tracker4 4.0.6

=== Makefile ===
# BEGIN BPS TAGGED BLOCK {{{
#
# COPYRIGHT:
#
# This software is Copyright (c) 1996-2012 Best Practical Solutions, LLC
#                                          <sales@bestpractical.com>
#
# (Except where explicitly superseded by other copyright notices)
#
#
# LICENSE:
#
# This work is made available to you under the terms of Version 2 of
# the GNU General Public License. A copy of that license should have
# been provided with this software, but in any event can be snarfed
# from www.gnu.org.
#
# This work is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 or visit their web page on the internet at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html.
#
#
# CONTRIBUTION SUBMISSION POLICY:
#
# (The following paragraph is not intended to limit the rights granted
# to you to modify and distribute this software under the terms of
# the GNU General Public License and is only of importance to you if
# you choose to contribute your changes and enhancements to the
# community by submitting them to Best Practical Solutions, LLC.)
#
# By intentionally submitting any modifications, corrections or
# derivatives to this work, or any other work intended for use with
# Request Tracker, to Best Practical Solutions, LLC, you confirm that
# you are the copyright holder for those contributions and you grant
# Best Practical Solutions,  LLC a nonexclusive, worldwide, irrevocable,
# royalty-free, perpetual, license to use, copy, create derivative
# works based on those contributions, and sublicense and distribute
# those contributions and any derivatives thereof.
#
# END BPS TAGGED BLOCK }}}
#
# DO NOT HAND-EDIT the file named 'Makefile'. This file is autogenerated.
# Have a look at "configure" and "Makefile.in" instead
#


PERL			=	/usr/bin/perl
INSTALL			=	./install-sh
CC				=	gcc

RT_LAYOUT		=	relative

CONFIG_FILE_PATH	=	/opt/rt4/etc
CONFIG_FILE		=	$(CONFIG_FILE_PATH)/RT_Config.pm
SITE_CONFIG_FILE	=	$(CONFIG_FILE_PATH)/RT_SiteConfig.pm


RT_VERSION_MAJOR	=	4
RT_VERSION_MINOR	=	0
RT_VERSION_PATCH	=	6

RT_VERSION		=	$(RT_VERSION_MAJOR).$(RT_VERSION_MINOR).$(RT_VERSION_PATCH)
TAG 			=	rt-$(RT_VERSION_MAJOR)-$(RT_VERSION_MINOR)-$(RT_VERSION_PATCH)


# This is the group that all of the installed files will be chgrp'ed to.
RTGROUP			=	www-data


# User which should own rt binaries.
BIN_OWNER		=	root

# User that should own all of RT's libraries, generally root.
LIBS_OWNER 		=	root

# Group that should own all of RT's libraries, generally root.
LIBS_GROUP		=	bin

WEB_USER		=	www-data
WEB_GROUP		=	www-data


APACHECTL		=	/usr/sbin/apachectl


# DESTDIR allows you to specify that RT be installed somewhere other than
# where it will eventually reside. DESTDIR _must_ have a trailing slash
# if it's defined.

DESTDIR			=	



RT_PATH			=	/opt/rt4
RT_ETC_PATH		=	/opt/rt4/etc
RT_BIN_PATH		=	/opt/rt4/bin
RT_SBIN_PATH		=	/opt/rt4/sbin
RT_LIB_PATH		=	/opt/rt4/lib
RT_MAN_PATH		=	/opt/rt4/man
RT_VAR_PATH		=	/opt/rt4/var
RT_DOC_PATH		=	/opt/rt4/docs
RT_FONT_PATH		=	/opt/rt4/share/fonts
RT_LEXICON_PATH		=	/opt/rt4/share/po
RT_LOCAL_PATH		=	/opt/rt4/local
LOCAL_PLUGIN_PATH	=	/opt/rt4/local/plugins
LOCAL_ETC_PATH		=	/opt/rt4/local/etc
LOCAL_LIB_PATH		=	/opt/rt4/local/lib
LOCAL_LEXICON_PATH	=	/opt/rt4/local/po
MASON_HTML_PATH		=	/opt/rt4/share/html
MASON_LOCAL_HTML_PATH	=	/opt/rt4/local/html
MASON_DATA_PATH		=	/opt/rt4/var/mason_data
MASON_SESSION_PATH	=	/opt/rt4/var/session_data
RT_LOG_PATH		=       /opt/rt4/var/log

# RT_READABLE_DIR_MODE is the mode of directories that are generally meant
# to be accessable
RT_READABLE_DIR_MODE	=	0755





# RT's CLI
RT_CLI_BIN		=	rt
# RT's mail gateway
RT_MAILGATE_BIN		=	rt-mailgate
# RT's cron tool
RT_CRON_BIN		=	rt-crontool



BINARIES		=	$(RT_MAILGATE_BIN) \
				$(RT_CLI_BIN) \
				$(RT_CRON_BIN)

SYSTEM_BINARIES		=	rt-attributes-viewer \
				rt-clean-sessions \
				rt-dump-metadata \
				rt-email-dashboards \
				rt-email-digest \
				rt-email-group-admin \
				rt-fulltext-indexer \
				rt-preferences-viewer \
				rt-server \
				rt-server.fcgi \
				rt-session-viewer \
				rt-setup-database \
				rt-setup-fulltext-index \
				rt-shredder \
				rt-test-dependencies \
				rt-validator \
				standalone_httpd


ETC_FILES		=	acl.Pg \
				acl.Oracle \
				acl.mysql \
				schema.Pg \
				schema.Oracle \
				schema.mysql \
				schema.SQLite \
				initialdata



WEB_HANDLER		=	standalone



#
# DB_TYPE defines what sort of database RT trys to talk to
# "mysql", "Oracle", "Pg", and "SQLite" are known to work.

DB_TYPE			=	SQLite

# Set DBA to the name of a unix account with the proper permissions and 
# environment to run your commandline SQL sbin

# Set DB_DBA to the name of a DB user with permission to create new databases 

# For mysql, you probably want 'root'
# For Pg, you probably want 'postgres' 
# For Oracle, you want 'system'

DB_DBA			=	root

DB_HOST			=	localhost

# If you're not running your database server on its default port, 
# specifiy the port the database server is running on below.
# It's generally safe to leave this blank 

DB_PORT			=	




#
# Set this to the canonical name of the interface RT will be talking to the 
# database on.  If you said that the RT_DB_HOST above was "localhost," this 
# should be too. This value will be used to grant rt access to the database.
# If you want to access the RT database from multiple hosts, you'll need
# to grant those database rights by hand.
#

DB_RT_HOST		=	localhost

# set this to the name you want to give to the RT database in 
# your database server. For Oracle, this should be the name of your sid

DB_DATABASE		=	rt4
DB_RT_USER		=	rt_user
DB_RT_PASS		=	rt_pass



TEST_FILES = t/*.t t/*/*.t
TEST_VERBOSE = 0


####################################################################

all: default

default:
	@echo "Please read RT's README before beginning your installation."



instruct:
	@echo "Congratulations. RT is now installed."
	@echo ""
	@echo ""
	@echo "You must now configure RT by editing $(SITE_CONFIG_FILE)."
	@echo ""
	@echo "(You will definitely need to set RT's database password in "
	@echo "$(SITE_CONFIG_FILE) before continuing. Not doing so could be "
	@echo "very dangerous.  Note that you do not have to manually add a "
	@echo "database user or set up a database for RT.  These actions will be "
	@echo "taken care of in the next step.)"
	@echo ""
	@echo "After that, you need to initialize RT's database by running" 
	@echo " 'make initialize-database'"


upgrade-instruct: 
	@echo "Congratulations. RT has been upgraded. You should now check over"
	@echo "$(CONFIG_FILE) for any necessary site customization. Additionally,"
	@echo "you should update RT's system database objects by running "
	@echo "    make upgrade-database"


upgrade: testdeps config-install dirs files-install fixperms upgrade-instruct

my_with_web_handlers= $(shell $(PERL) -e 'print join " ", map "--with-$$_", grep defined && length, split /,/, "$(WEB_HANDLER)"')
testdeps:
	$(PERL) ./sbin/rt-test-dependencies --verbose --with-$(DB_TYPE) $(my_with_web_handlers)

depends: fixdeps

fixdeps:
	$(PERL) ./sbin/rt-test-dependencies --verbose --install --with-$(DB_TYPE) $(my_with_web_handlers)

#}}}

fixperms:
	# Make the libraries readable
	chmod $(RT_READABLE_DIR_MODE) $(DESTDIR)$(RT_PATH)
	chown -R $(LIBS_OWNER) $(DESTDIR)$(RT_LIB_PATH)
	chgrp -R $(LIBS_GROUP) $(DESTDIR)$(RT_LIB_PATH)
	chmod -R  u+rwX,go-w,go+rX $(DESTDIR)$(RT_LIB_PATH)


	chmod $(RT_READABLE_DIR_MODE) $(DESTDIR)$(RT_BIN_PATH)

	chmod 0755 $(DESTDIR)$(RT_ETC_PATH)
	cd $(DESTDIR)$(RT_ETC_PATH) && chmod 0400 $(ETC_FILES)

	#TODO: the config file should probably be able to have its
	# owner set separately from the binaries.
	chown -R $(BIN_OWNER) $(DESTDIR)$(RT_ETC_PATH)
	chgrp -R $(RTGROUP) $(DESTDIR)$(RT_ETC_PATH)

	chmod 0440 $(DESTDIR)$(CONFIG_FILE)
	chmod 0640 $(DESTDIR)$(SITE_CONFIG_FILE)

	# Make the system binaries
	cd $(DESTDIR)$(RT_BIN_PATH) && ( chmod 0755 $(BINARIES) ; chown $(BIN_OWNER) $(BINARIES);  chgrp $(RTGROUP) $(BINARIES))

	# Make the system binaries executable also
	cd $(DESTDIR)$(RT_SBIN_PATH) && ( chmod 0755 $(SYSTEM_BINARIES) ; chown $(BIN_OWNER) $(SYSTEM_BINARIES);  chgrp $(RTGROUP) $(SYSTEM_BINARIES))


	# Make the web ui readable by all. 
	chmod -R  u+rwX,go-w,go+rX 	$(DESTDIR)$(MASON_HTML_PATH) \
					$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
					$(DESTDIR)$(RT_LEXICON_PATH) \
					$(DESTDIR)$(LOCAL_LEXICON_PATH)
	chown -R $(LIBS_OWNER) 	$(DESTDIR)$(MASON_HTML_PATH) \
				$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
				$(DESTDIR)$(RT_LEXICON_PATH) \
				$(DESTDIR)$(LOCAL_LEXICON_PATH)
	chgrp -R $(LIBS_GROUP) 	$(DESTDIR)$(MASON_HTML_PATH) \
				$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
				$(DESTDIR)$(RT_LEXICON_PATH) \
				$(DESTDIR)$(LOCAL_LEXICON_PATH)

	# Make the web ui's data dir writable
	chmod 0770  	$(DESTDIR)$(MASON_DATA_PATH) \
			$(DESTDIR)$(MASON_SESSION_PATH)
	chown -R $(WEB_USER) 	$(DESTDIR)$(MASON_DATA_PATH) \
				$(DESTDIR)$(MASON_SESSION_PATH)
	chgrp -R $(WEB_GROUP) 	$(DESTDIR)$(MASON_DATA_PATH) \
				$(DESTDIR)$(MASON_SESSION_PATH)

dirs:
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_LOG_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_FONT_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_LEXICON_PATH)
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/cache
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/etc
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/obj
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_SESSION_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(MASON_HTML_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(MASON_LOCAL_HTML_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_ETC_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_LIB_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_PLUGIN_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_LEXICON_PATH)

install: testdeps config-install dirs files-install fixperms instruct

files-install: libs-install etc-install config-install bin-install sbin-install html-install local-install doc-install font-install po-install

config-install:
	$(INSTALL) -m 0755 -o $(BIN_OWNER) -g $(RTGROUP) -d $(DESTDIR)$(CONFIG_FILE_PATH)
	-$(INSTALL) -m 0440 -o $(BIN_OWNER) -g $(RTGROUP)  etc/RT_Config.pm $(DESTDIR)$(CONFIG_FILE)
	[ -f $(DESTDIR)$(SITE_CONFIG_FILE) ] || $(INSTALL) -m 0640 -o $(BIN_OWNER) -g $(RTGROUP) etc/RT_SiteConfig.pm $(DESTDIR)$(SITE_CONFIG_FILE) 
	@echo "Installed configuration. About to install RT in  $(RT_PATH)"

test: 
	$(PERL) "-MExtUtils::Command::MM" -e "test_harness($(TEST_VERBOSE), 'lib')" $(TEST_FILES)

parallel-test: test-parallel

test-parallel: 
	RT_TEST_PARALLEL=1 $(PERL) "-MApp::Prove" -e 'my $$p = App::Prove->new(); $$p->process_args("-wlrj5","--state=slow,save", "t"); exit( $$p->run() ? 0 : 1 )'

regression-reset-db: force-dropdb
	$(PERL) -I$(LOCAL_LIB_PATH) -I$(RT_LIB_PATH) sbin/rt-setup-database --action init --dba-password ''

initdb :: initialize-database

initialize-database: 
	$(PERL) -I$(LOCAL_LIB_PATH) -I$(RT_LIB_PATH) sbin/rt-setup-database --action init --prompt-for-dba-password

upgrade-database:
	$(PERL) -I$(LOCAL_LIB_PATH) -I$(RT_LIB_PATH) sbin/rt-setup-database --action upgrade --prompt-for-dba-password

dropdb: 
	$(PERL) -I$(LOCAL_LIB_PATH) -I$(RT_LIB_PATH) sbin/rt-setup-database --action drop --prompt-for-dba-password

force-dropdb: 
	$(PERL) -I$(LOCAL_LIB_PATH) -I$(RT_LIB_PATH) sbin/rt-setup-database --action drop --dba-password '' --force

critic:
	perlcritic --quiet sbin bin lib

libs-install: 
	[ -d $(DESTDIR)$(RT_LIB_PATH) ] || $(INSTALL) -m 0755 -d $(DESTDIR)$(RT_LIB_PATH)
	-( cd lib && find . -type d -print ) | while read dir ; do \

=== debian/changelog ===
request-tracker4 (4.0.6-4) unstable; urgency=low

  * Remove recommendation of libapache2-mod-fastcgi since this is
    non-free (Closes: #682133)
  * Remove cron job during package purge (Closes: #682186)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 17 Aug 2012 19:54:42 +0100

request-tracker4 (4.0.6-3) unstable; urgency=high

  * Fix broken regex character range that results in failed installs;
    thanks to Carl Fürstenber (Closes: #678239)
  * Urgency high due to RC bug fix

 -- Dominic Hargreaves <dom@earth.li>  Thu, 21 Jun 2012 22:28:11 +0100

request-tracker4 (4.0.6-2) unstable; urgency=low

  * update-rt-siteconfig: Allow inclusion of files with capital letters
    and underscores in their name (Closes: #674409)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 03 Jun 2012 17:50:50 +0100

request-tracker4 (4.0.6-1) unstable; urgency=low

  * Provide specific instructions for restarting a mod_perl based
    Apache server
  * New upstream release
    - update dependencies
    - add NEWS items
    - apply database upgrades
  * Update mod_fcgid config to allow large attachments
  * Fix debian/copyright syntax (thanks, Lintian)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 27 May 2012 18:24:26 +0100

request-tracker4 (4.0.5-3) unstable; urgency=high

  [ Dmitry Smirnov ]
  * debian/copyright update
  * added missing 'libfcgi-perl' dependency to 'rt4-fcgi'
  * debian/rt4-fcgi.init: fixed 'status' function

  [ Dominic Hargreaves ]
  * Multiple security fixes for:
    - XSS vulnerabilities (CVE-2011-2083)
    - information disclosure vulnerabilities including password hash
      exposure and correspondence disclosure to privileged users
      (CVE-2011-2084)
    - CSRF vulnerabilities allowing information disclosure,
      privilege escalation, and arbitrary code execution. Original
      behaviour may be restored by setting $RestrictReferrer to 0 for
      installations which rely on it (CVE-2011-2085)
    - remote code execution vulnerabilities including in VERP
      functionality (CVE-2011-4458)
  * Add vulnerable-password and clean-user-txns scripts to accompany
    above fixes, and run in postinst

 -- Dominic Hargreaves <dom@earth.li>  Sat, 19 May 2012 22:30:27 +0100

request-tracker4 (4.0.5-2) unstable; urgency=low

  * Improve rt4-fcgi description to clarify that it's only required
    where an external FCGI process is needed, and that it's not
    nginx specific
  * Add Dutch debconf translation (Closes: #661101)
  * Create cron job world-readable during new installations
    (Closes: #660867)
  * Correctly remove all conffiles during purge (Closes: #668451)
  * Remove references to obsolete /etc/apache2/conf.d (see #669774)
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 22 Apr 2012 14:58:39 +0100

=== debian/control ===
Source: request-tracker4
Section: misc
Priority: optional
Maintainer: Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>, Dominic Hargreaves <dom@earth.li>, Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 5), po-debconf
Build-Depends-Indep: perl (>= 5.8.3)
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-request-tracker/request-tracker4.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-request-tracker/request-tracker4.git
Homepage: http://bestpractical.com/rt/

Package: request-tracker4
Architecture: all
Depends: rt4-clients (= ${source:Version}), 
 rt4-apache2 (= ${source:Version}) | rt4-fcgi (= ${source:Version}), 
 rt4-db-sqlite (= ${source:Version})
  | rt4-db-postgresql (= ${source:Version}) 
  | rt4-db-mysql   (= ${source:Version}),
 exim4 | mail-transport-agent, 
 rsyslog | system-log-daemon, ${perl:Depends},
 libhtml-mason-perl (>= 1:1.43-1), libapache-session-perl (>= 1.53),
 libregexp-common-perl, libdbi-perl (>= 1.37), 
 libclass-returnvalue-perl (>= 0.40), libdbix-searchbuilder-perl (>= 1.59), 
 libcache-simple-timedexpiry-perl, libtext-template-perl (>= 1.44), 
 liblog-dispatch-perl (>= 2.23),
 liblocale-maketext-fuzzy-perl, liblocale-maketext-lexicon-perl (>= 0.32), 
 libmime-tools-perl (>= 5.108) | libmime-perl (>= 5.108), libmime-types-perl,
 libmailtools-perl (>= 1.57), libtext-wrapper-perl, 
 libtime-modules-perl, libtext-autoformat-perl, libtext-wikiformat-perl, 
 libhtml-scrubber-perl, libmodule-versions-report-perl (>= 1.03), 
 libtree-simple-perl (>= 1.04), libxml-rss-perl (>= 1.05), libxml-simple-perl, 
 libgd-graph-perl, libuniversal-require-perl, 
 libgd-text-perl, libtimedate-perl, dbconfig-common (>= 1.8.38),
 ucf (>= 0.28), libcss-squish-perl (>= 0.06),
 libdevel-stacktrace-perl (>= 1.19),libfile-sharedir-perl, 
 libemail-address-perl, libperlio-eol-perl, 
 libdata-ical-perl, libtext-quoted-perl (>= 2.02),  
 libhtml-rewriteattributes-perl (>= 0.04),
 libgraphviz-perl, libgnupg-interface-perl,
 perl (>= 5.12.2) | libencode-perl (>= 2.39),
 perl (>= 5.12.0) | libcgi-pm-perl (>= 3.38),
 libfcgi-procmanager-perl,
 libdatetime-perl (>= 0.44),
 libdatetime-locale-perl (>= 0.40),
 libhtml-quoted-perl,
 perl (>= 5.10.1) | libfile-temp-perl (>= 0.19),
 libtext-password-pronounceable-perl,
 libdevel-globaldestruction-perl,
 liblist-moreutils-perl,
 libnet-cidr-perl,
 libregexp-common-net-cidr-perl,
 libregexp-ipv6-perl,
 libjson-perl,
 libipc-run3-perl,
 libcgi-psgi-perl (>= 0.12),
 libhtml-mason-psgihandler-perl (>= 0.52),
 libplack-perl (>= 0.9971),
 libcgi-emulate-psgi-perl,
 libconvert-color-perl,
 libclass-accessor-perl (>= 0.34),
 ttf-droid,
 libhtml-tree-perl,
 libhtml-format-perl,
 liburi-perl (>= 1.59),
 ${misc:Depends}
Recommends: cron-daemon
Conflicts: request-tracker, request-tracker3.2 (<< 3.2.2-3), libdatetime-locale-perl (<< 1:0.44), libdatetime-perl (<< 2:0.4900)
Replaces: request-tracker
Description: extensible trouble-ticket tracking system
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 RT is a high-level, portable, platform independent system that eases
 collaboration within organizations and makes it easy for them to take care
 of their customers.
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the core of RT.
 .
 This package supports three database types out of the box: MySQL,
 PostgreSQL and SQLite. In order to support a zero-configuration install,
 SQLite will be used by default, but is not recommended for production
 use. Please see /usr/share/doc/request-tracker4/NOTES.Debian for more
 details and consider installing rt4-db-postgresql or rt4-db-mysql at
 the same time as this package.

Package: rt4-clients
Architecture: all
Depends: ${perl:Depends}, exim4 | mail-transport-agent, 
 libwww-perl, libterm-readkey-perl, 
 libterm-readline-perl-perl | libterm-readline-gnu-perl,
 ${misc:Depends}
Recommends: libio-socket-ssl-perl
Description: mail gateway and command-line interface to request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 RT is a high-level, portable, platform independent system that eases
 collaboration within organizations and makes it easy for them to take care
 of their customers.
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides support for injecting tickets into Request Tracker
 from a mail server via rt-mailgate. It may be installed onto any
 machine where you want to use the "rt" command-line interface.         

Package: rt4-fcgi
Architecture: all
Depends: ${misc:Depends}, libfcgi-perl, procps, spawn-fcgi
Recommends: nginx-full
Description: External FastCGI support for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 RT is a high-level, portable, platform independent system that eases
 collaboration within organizations and makes it easy for them to take care
 of their customers.
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides an external FCGI interface for web servers
 including, but not limited to, nginx, and is not needed for web servers
 such as Apache which invoke FCGI programs directly.

Package: rt4-apache2
Architecture: all
Depends: apache2, 
 libapache2-mod-perl2 (>= 2.0.0) | libapache2-mod-fcgid | libapache2-mod-fastcgi, 
 libapache2-mod-perl2 (>= 2.0.0) | libapache-dbi-perl (>= 0.92) | libapache2-mod-fcgid | libapache2-mod-fastcgi,
 ${misc:Depends}
Recommends: libapache2-mod-perl2 (>= 2.0.0), libapache-dbi-perl (>= 0.92),
 libapache2-mod-fcgid
Description: Apache 2 specific files for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 RT is a high-level, portable, platform independent system that eases
 collaboration within organizations and makes it easy for them to take care
 of their customers.
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides various configuration files and manages the
 necessary dependencies for running request tracker (RT) version 4
 on the Apache 2 web server.

Package: rt4-db-postgresql
Architecture: all
Depends: ${misc:Depends}, libdbd-pg-perl (>= 1.41),
 postgresql-client-8.3 | postgresql-client (>= 8.1)
Suggests: postgresql-8.3 | postgresql (>= 8.1)
Description: PostgreSQL database backend for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 RT is a high-level, portable, platform independent system that eases
 collaboration within organizations and makes it easy for them to take care
 of their customers.
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This empty package provides dependencies and dbconfig-common support for
 using Request Tracker version 4 with a PostgreSQL database.

Package: rt4-db-mysql
Architecture: all
Depends: ${misc:Depends}, libdbd-mysql-perl (>= 2.1018),
 mysql-client-5.0 | mysql-client (>= 4.1)
Suggests: mysql-server-5.0 | mysql-server (>= 4.1)
Description: MySQL database backend for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 RT is a high-level, portable, platform independent system that eases
 collaboration within organizations and makes it easy for them to take care
 of their customers.
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This empty package provides dependencies and dbconfig-common support for
 using Request Tracker version 4 with a MySQL database.

Package: rt4-db-sqlite
Architecture: all
Depends: ${misc:Depends}, libdbd-sqlite3-perl, sqlite3
Description: SQLite database backend for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 RT is a high-level, portable, platform independent system that eases
 collaboration within organizations and makes it easy for them to take care
 of their customers.
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This empty package provides dependencies and dbconfig-common support for
 using Request Tracker version 4 with a local SQLite (version 3) database.
 .
 This package will be pulled in by default by request-tracker4, but SQLite
 is not recommended for production use.  Please see
 /usr/share/doc/request-tracker4/NOTES.Debian for more details and
 consider installing rt4-db-postgresql or rt4-db-mysql instead of this
 package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VER=4

DEBIAN=$(CURDIR)/debian

RT = request-tracker$(VER)
CLIENTS = rt$(VER)-clients

RT_PKG = $(DEBIAN)/$(RT)
CLIENTS_PKG = $(DEBIAN)/$(CLIENTS)

RT_BUGDIR = $(RT_PKG)/usr/share/bug/$(RT)
CLIENTS_BUGDIR = $(CLIENTS_PKG)/usr/share/bug/$(CLIENTS)
TPSRC=third-party-source/devel/third-party

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure
	dh_testdir

	# Update translations
	debconf-updatepo

	# Keep aside automatically generated files shipped in the upstream tarball
	mkdir bak
	find . -name '*.in' -print | egrep -v '\.pc|\.\/debian' | sed -e 's/\.in$$//' | while read f; do mkdir -p bak/`dirname $$f`; mv -v $$f bak/$$f; done
	test -d $(TPSRC)

	# Although there's a configure stage, we have no make step.

	chmod u+x ./configure
	./configure \
	  --enable-layout=Debian \
	  --enable-graphviz \
	  --enable-gd \
	  --enable-gpg \
	  --with-rt-group=root \
	  --with-web-user=www-data \
	  --with-web-group=www-data \
	  --with-web-handler=fastcgi,modperl2 \
	  --with-libs-group=root \
	  --with-db-type=Pg \
	  --with-db-dba=postgres

	mkdir man
	perl debian/scripts/fix-whatis < debian/whatis

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	$(RM) -r man
	# Restore shipped generated files
	-find bak -type f -print | sed -e 's/^bak\///' | while read f; do mv bak/$$f $$f; done
	-rm -rf bak
	rm -f config.status config.log config.pld bak
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(RT_PKG)
	rm -rf $(RT_PKG)/usr/share/$(RT)/lib/t/
	rm -rf $(RT_PKG)/usr/bin/mason_handler.svc
	rm -rf $(RT_PKG)/usr/sbin/rt-test-dependencies
	# depends on packages not yet in Debian (libstarlet-perl and deps)
	# if it is being installed again, it should be moved into libexec below
	# and no longer installed as an example
	rm -rf $(RT_PKG)/usr/sbin/standalone_httpd
	rm -rf $(RT_PKG)/usr/share/$(RT)/html/NoAuth/RichText/FCKeditor/license.txt
	# We will install a symlink to the separately-packaged javascript
	# libraries instead
	# (leave below as example as there'll be different ones to add back)
	#rm -rf $(RT_PKG)/usr/share/$(RT)/html/NoAuth/js/prototype
	# We will install symlinks to the fonts provided by the ttf-droid
	# package
	rm -rf $(RT_PKG)/usr/share/$(RT)/fonts

	for x in rt-server rt-server.fcgi; do \
	  mv $(RT_PKG)/usr/sbin/$$x $(RT_PKG)/usr/share/$(RT)/libexec/; \
	done
	dh_install
		
test:
	perl debian/scripts/check-deps

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install 
	dh_testdir
	dh_testroot
	dh_usrlocal
	dh_installchangelogs
	dh_installdocs
	dh_installexamples sbin/standalone_httpd
	dh_installman man/*
	dh_installdebconf
	dh_installlogcheck
	cd $(RT_PKG) && perl $(DEBIAN)/scripts/move-alts $(VER) \
	    $(DEBIAN)/alts $(DEBIAN)/$(CLIENTS).alts
	dh_movefiles --sourcedir=debian/$(RT)
	dh_link
	dh_fixperms
	find $(RT_PKG)/usr/share/$(RT)/etc -type f -print0 | xargs -0 chmod a-x
	# Fix permissions for Mason files
	find $(RT_PKG)/usr/share/$(RT)/html -type f -print0 | xargs -0 --no-run-if-empty chmod 0644
	# Ensure that the stuff in libexec is executable by everyone
	find $(RT_PKG)/usr/share/$(RT)/libexec -type f -print0 | xargs -0 --no-run-if-empty chmod 0755
	# Remove any leftover .in files
	find $(RT_PKG)/usr/share/$(RT)/lib -type f -name '*.in' -print0 | xargs -0 --no-run-if-empty rm 
	# Fix permissions for Perl modules
	find $(RT_PKG)/usr/share/$(RT)/lib  -type f -print0 | xargs -0 --no-run-if-empty chmod 0644
	
	chmod +x $(RT_PKG)/usr/share/$(RT)/etc/upgrade/3.8-branded-queues-extension 
	chmod +x $(RT_PKG)/usr/share/$(RT)/etc/upgrade/3.8-ical-extension 
	chmod +x $(RT_PKG)/usr/share/$(RT)/etc/upgrade/upgrade-mysql-schema.pl  
	chmod +x $(RT_PKG)/usr/share/$(RT)/etc/upgrade/shrink_cgm_table.pl
	chmod +x $(RT_PKG)/usr/share/$(RT)/etc/upgrade/split-out-cf-categories
	chmod +x $(RT_PKG)/usr/share/$(RT)/etc/upgrade/generate-rtaddressregexp
	chmod +x $(RT_PKG)/usr/share/$(RT)/etc/upgrade/shrink_transactions_table.pl
	chmod +x $(RT_PKG)/usr/share/$(RT)/etc/upgrade/upgrade-articles
	chmod +x $(RT_PKG)/usr/share/$(RT)/etc/upgrade/vulnerable-passwords
	chmod +x $(RT_PKG)/usr/share/$(RT)/etc/upgrade/sanity-check-stylesheets.pl
	rm -f $(RT_PKG)/usr/share/$(RT)/etc/upgrade/*.in
	
	# This is generated by the maintainer scripts
	$(RM) $(RT_PKG)/usr/share/$(RT)/etc/RT_SiteConfig.pm

	install -m 644 debian/scripts/siteconfig.template $(RT_PKG)/usr/share/$(RT)/debian/
	install -m 644 debian/scripts/dbconfig.template $(RT_PKG)/usr/share/$(RT)/debian/
	install -m 755 debian/scripts/write-siteconfig $(RT_PKG)/usr/share/$(RT)/debian/
	install -m 755 debian/scripts/update-rt-siteconfig $(RT_PKG)/usr/sbin/update-rt-siteconfig-$(VER)
	install -m 644 debian/scripts/update-rt-siteconfig.man $(RT_PKG)/usr/share/man/man8/update-rt-siteconfig-$(VER).8

	install -m 644 debian/lintian-overrides $(RT_PKG)/usr/share/lintian/overrides/$(RT)

	# dh_link already made the pgsql and sqlite links
	install -m 755 debian/scripts/dbconfig-install $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/install/mysql
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.4 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.4
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.6-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.6
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.6 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.6

	chmod 755 $(RT_PKG)/usr/share/bug/$(RT)/script

	mkdir -p $(RT_PKG)/var/cache/$(RT)/data
	find $(RT_PKG)/var/cache/$(RT)/ -type d -print0 | xargs --null chown www-data:root
	find $(RT_PKG)/var/cache/$(RT)/ -type d -print0 | xargs --null chmod 2750

	chown www-data:www-data $(RT_PKG)/var/log/$(RT)/
	# special perms for gpg
	mkdir $(RT_PKG)/var/cache/$(RT)/data/gpg
	chown www-data:www-data $(RT_PKG)/var/cache/$(RT)/data/gpg
	chmod 700 $(RT_PKG)/var/cache/$(RT)/data/gpg

	chmod 2755 $(RT_PKG)/var/log/$(RT)/
	dh_compress
	dh_perl
	dh_installinit
	dh_usrlocal
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install test

## request-tracker4 4.0.7

=== Makefile ===
--- 
+++ 
@@ -64,14 +64,14 @@
 
 RT_VERSION_MAJOR	=	4
 RT_VERSION_MINOR	=	0
-RT_VERSION_PATCH	=	6
+RT_VERSION_PATCH	=	7
 
 RT_VERSION		=	$(RT_VERSION_MAJOR).$(RT_VERSION_MINOR).$(RT_VERSION_PATCH)
 TAG 			=	rt-$(RT_VERSION_MAJOR)-$(RT_VERSION_MINOR)-$(RT_VERSION_PATCH)
 
 
 # This is the group that all of the installed files will be chgrp'ed to.
-RTGROUP			=	www-data
+RTGROUP			=	www
 
 
 # User which should own rt binaries.
@@ -83,8 +83,8 @@
 # Group that should own all of RT's libraries, generally root.
 LIBS_GROUP		=	bin
 
-WEB_USER		=	www-data
-WEB_GROUP		=	www-data
+WEB_USER		=	www
+WEB_GROUP		=	www
 
 
 APACHECTL		=	/usr/sbin/apachectl

=== debian/changelog ===
request-tracker4 (4.0.7-5+deb7u3~bpo60+1) squeeze-backports; urgency=high

  * Rebuild for squeeze-backports.
  * Drop versioned depends on liburi-perl as it's not available in
    squeeze (and libplack-perl in bpo depends on an earlier version);
    this means that upstream #18104 (missing tickets in dashboard emails)
    is still unfixed
  * Drop versioned depends on libipc-run-perl as it's not available in
    at the required version in squeeze-bpo; this means that upstream #19802
    (drawing graphs of relationships with UTF-8 strings) is still unfixed
  * Split out 72_patchset-2015-02-05 into multiple files to work around
    #608829

 -- Dominic Hargreaves <dom@earth.li>  Thu, 26 Feb 2015 17:25:24 +0000

request-tracker4 (4.0.7-5+deb7u3) wheezy-security; urgency=high

  * Fix remote DoS via email gateway (CVE-2014-9472)
  * Fix information discloure revealing RSS feed URLs (CVE-2015-1165)
  * Fix privilege escalation via RSS feed URLs (CVE-2015-1464)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 14 Feb 2015 16:26:08 +0000

request-tracker4 (4.0.7-5+deb7u2) wheezy-security; urgency=high

  * Correct dbconfig upgrade script versioning
  * Add logging fix for previous security fix patchset

 -- Dominic Hargreaves <dom@earth.li>  Wed, 22 May 2013 18:42:25 +0100

request-tracker4 (4.0.7-5+deb7u1) wheezy-security; urgency=high

  * Multiple security fixes for:
    - Privileged user escalation (CVE-2012-4733)
    - Semi-predictable temporary file names (CVE-2013-3368)
    - Arbitrary Mason component execution (CVE-2013-3369)
    - Direct execution of private callback components (CVE-2013-3370)
    - XSS via attachment filenames and URLs in messages (CVE-2013-3371)
    - XSS via Content-Disposition header (CVE-2013-3372)
    - MIME header injection (CVE-2013-3373)
    - Limited session reuse when using Apache::Session::File (CVE-2013-3374)
  * Include database upgrade (dbconfig-common and NEWS)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 19 May 2013 22:22:54 +0100

request-tracker4 (4.0.7-5) unstable; urgency=medium

  * Change localstatedir from /var/cache/request-tracker4 to
    /var/lib/request-tracker4 as it contains things which aren't caches
  * Update other references to /var/cache/request-tracker4 where
    appropriate
  * Move /var/cache/request-tracker4/data/gpg to
    /var/lib/request-tracker4/data/gpg in postinst
  * Add NEWS item about moves from /var/cache/request-tracker4
  * Closes: #704107

 -- Dominic Hargreaves <dom@earth.li>  Fri, 29 Mar 2013 13:15:32 +0000

request-tracker4 (4.0.7-4) unstable; urgency=low

  * Add extra robustness to hostname handling (Closes: 685502)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 16 Dec 2012 14:08:31 +0000

request-tracker4 (4.0.7-3) unstable; urgency=low

  * Cherry-pick fix from 4.0.8 fixing duplicate transaction creation
    bug (Closes: #691701)
  * Remove unused code which uses Digest::SHA1 which in turn has been
    removed from Debian (Closes: #694484)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 10 Dec 2012 14:13:24 +0000

request-tracker4 (4.0.7-2) unstable; urgency=high

  * Multiple security fixes for:
    - Email header injection attack (CVE-2012-4730)
    - Missing rights checking for Articles (CVE-2012-4731)
    - CSRF protection allows attack on bookmarks (CVE-2012-4732)
    - Confused deputy attack for non-logged-in users (CVE-2012-4734)
    - Multiple message signing/encryption attacks related to GnuPG
      (CVE-2012-4735)
    - Arbitrary command-line argument injection to GnuPG (CVE-2012-4884)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 23 Oct 2012 10:58:58 +0100

request-tracker4 (4.0.7-1) unstable; urgency=low

  * In debian/config, fall back to using plain 'hostname' if
    'hostname -f' does not work. Thanks to Daniel Baumann
    (Closes: #685502)
  * New upstream release
  * Add missing dependency on libipc-run-perl (versioned to 0.90 following
    upstream dependencies)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 15 Oct 2012 18:23:39 +0100

=== debian/control ===
--- 
+++ 
@@ -62,7 +62,8 @@
  ttf-droid,
  libhtml-tree-perl,
  libhtml-format-perl,
- liburi-perl (>= 1.59),
+ liburi-perl,
+ libipc-run-perl,
  ${misc:Depends}
 Recommends: cron-daemon
 Conflicts: request-tracker, request-tracker3.2 (<< 3.2.2-3), libdatetime-locale-perl (<< 1:0.44), libdatetime-perl (<< 2:0.4900)

=== debian/rules ===
--- 
+++ 
@@ -155,18 +155,23 @@
 	install -m 755 debian/scripts/dbconfig-upgrade-4.0.4 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.4
 	install -m 755 debian/scripts/dbconfig-upgrade-4.0.6-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.6
 	install -m 755 debian/scripts/dbconfig-upgrade-4.0.6 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.6
+	# No sqlite upgrade file provided for this
+	install -m 755 debian/scripts/dbconfig-upgrade-4.0.7-5+deb7u2-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.7-5+deb7u2
+	install -m 755 debian/scripts/dbconfig-upgrade-4.0.7-5+deb7u2-pgsql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.7-5+deb7u2
 
 	chmod 755 $(RT_PKG)/usr/share/bug/$(RT)/script
 
-	mkdir -p $(RT_PKG)/var/cache/$(RT)/data
+	mkdir -p $(RT_PKG)/var/lib/$(RT)/data
 	find $(RT_PKG)/var/cache/$(RT)/ -type d -print0 | xargs --null chown www-data:root
+	find $(RT_PKG)/var/lib/$(RT)/ -type d -print0 | xargs --null chown www-data:root
 	find $(RT_PKG)/var/cache/$(RT)/ -type d -print0 | xargs --null chmod 2750
+	find $(RT_PKG)/var/lib/$(RT)/ -type d -print0 | xargs --null chmod 2750
 
 	chown www-data:www-data $(RT_PKG)/var/log/$(RT)/
 	# special perms for gpg
-	mkdir $(RT_PKG)/var/cache/$(RT)/data/gpg
-	chown www-data:www-data $(RT_PKG)/var/cache/$(RT)/data/gpg
-	chmod 700 $(RT_PKG)/var/cache/$(RT)/data/gpg
+	mkdir $(RT_PKG)/var/lib/$(RT)/data/gpg
+	chown www-data:www-data $(RT_PKG)/var/lib/$(RT)/data/gpg
+	chmod 700 $(RT_PKG)/var/lib/$(RT)/data/gpg
 
 	chmod 2755 $(RT_PKG)/var/log/$(RT)/
 	dh_compress
